classification
Title: py3k-pep3137: struct module is leaking references
Type: behavior Stage:
Components: Extension Modules Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, gvanrossum
Priority: normal Keywords:

Created on 2007-11-05 00:16 by christian.heimes, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (2)
msg57114 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-05 00:16
~/dev/python/py3k-pep3137$ ./python Lib/test/regrtest.py -R 2:4 test_struct
test_struct
beginning 6 repetitions
123456
......
test_struct leaked [12, 7, 20, 10] references, sum=49
1 test OK.
[65353 refs]
msg57151 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-11-06 00:43
Committed revision 58871.
Finding this took me half a day.
It was not a real leak; it was just filling the character cache in
stringobject.c slowly with random data.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-11-06 00:43:12gvanrossumsetstatus: open -> closed
resolution: fixed
messages: + msg57151
nosy: + gvanrossum
2007-11-05 00:16:54christian.heimescreate